<mat-toolbar class="progress-bar">
  <span
    *ngFor="let formStep of formSteps; let i = index"
    class="form-step text-center"
    [ngClass]="{ incomplete: !sectionComplete(i) }"
  >
    <div class="progress-bar__container">
      <mat-progress-bar
        *ngIf="formStep.hasSteps"
        mode="determinate"
        [value]="progress(i)"
      ></mat-progress-bar>
    </div>
    <a routerLink="./{{ formStep.path }}">{{ formStep.display }}</a>
  </span>
</mat-toolbar>
